Delete Card
curl --request DELETE \
--url https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/DeleteCard/{loginId} \
--header 'Content-Type: <content-type>'import requests
url = "https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/DeleteCard/{loginId}"
headers = {"Content-Type": "<content-type>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'Content-Type': '<content-type>'}};
fetch('https://{instance}-api.private.fin.ag/v3/{customerId}/BankingServices/DeleteCard/{loginId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"StatusCode": 200,
"Message": "All of the information about LoginId eceae0c0-1ed3-468f-ae30-08d6decf1675 has been removed"
}{
"HttpStatusCode": 400,
"Message": "You can't remove the card and use the card in parallel. Please stop using the card and remove it again",
"FlinksCode": "CARD_IN_USE"
}Banking Account Linking
/DeleteCard
Delete all data that’s associated with a specific user account.
DELETE
/
v3
/
{customerId}
/
BankingServices
/
DeleteCard
/
{loginId}
Delete Card
Use the
/DeleteCard endpoint to delete all data that’s associated with a specific user account.Headers
Security feature that grants access to this endpoint.
Content type of the request.
Available options:
application/json Example:
"application/json"
Path Parameters
Unique GUID provided by Flinks.
Unique loginId associated with the account you want to delete.
Was this page helpful?
⌘I